stages:
  - build
  - test

Build:
  stage: build
  image: composer:2.0
  cache:
    key: "$CI_COMMIT_REF_SLUG"
    paths:
      - vendor/
  script:
    - composer install --ignore-platform-reqs
  artifacts:
    expire_in: '10 mins'
    paths:
      - vendor/

Test:
  stage: test
  image: php:7.4-cli
  script:
    - ./vendor/bin/phpunit
